# Weather Project 

Runs on iOS16.0 and above 
- No Coco pods needed
- Few basic Unit test available  
- Weather Data from `https://api.openweathermap.org`

## Installation 

- Clone the repo
- Change the team appropriately 
- create the API ID from `https://api.openweathermap.org` and replace in Constants file
- Build 
- Needs a network connection for optimal experience 

## Versions
 v1.0.0 
 </br>
 Basic features like 
 - download , decode and model weather data 
 - Show the data with icons 
 - Show the search location weather details
 
 


